<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Particle.html">Particle</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Particle Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#a58bee75a698865e094bd338ad260ff8a">_notifyOwner</a>(ParticleSystem *owner)</td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#adbb195c8ac77dac1051a927d744034a5">_notifyVisualData</a>(ParticleVisualData *vis)</td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#af0a9c1c6fed9b18ff0f0c6d27fe67e23">colour</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#ad096a8561ce604af5262b1bb2aeee56a">direction</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#a1c17e03466492e1983a439eb7e540e25a42e46625a50eb279c03f665fa715d749">Emitter</a> enum value</td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#ae3cbb490ad08cdee104e99757fe950a6">getOwnHeight</a>(void) const </td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#a5290732791067176c46213f202e7c825">getOwnWidth</a>(void) const </td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#a7b0d81161cc9001be6d9d5f6014ef0a7">getRotation</a>(void) const </td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#abcc488e921cb51541564743724b45cba">getVisualData</a>(void) const </td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#a8f4a78d8b0adf3475c34f8f5627d13cd">hasOwnDimensions</a>(void) const </td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#a93027e6a8be2be918488edf6c88217c0">mHeight</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#ac4a7e742d6abd51a9dceaec92eb0e23a">mOwnDimensions</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#abdb83d31d2f73646b23a82fa8dddb2ef">mParentSystem</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#a6484d779038d54ca579b9939181c6ecf">mVisual</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#adf524dfe79984bbdeb8130f5c0348fdb">mWidth</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#ac8af4974850cd869b3f2331927dce745">Particle</a>()</td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#a1c17e03466492e1983a439eb7e540e25">ParticleType</a> enum name</td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#a193b1bf36fb1fae4ed7f2a24dc6b50bd">particleType</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#a2e4517ab1b59795b66fef4b8aefbde28">position</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#a44700655800282c23c7f3f97debfacf7">resetDimensions</a>(void)</td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#a2d3471733bab703d13c19a7408a09c4c">rotation</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#a6c340715b6b34951ac5b09ece49a93f1">rotationSpeed</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#a6a2bc4941c3c346f6d9936e447dde3c9">setDimensions</a>(Real width, Real height)</td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#abfea8fc856e37f26eb5901e930c7b21f">setRotation</a>(const Radian &amp;rad)</td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#a11f740b29bc51425c987632d037e3da9">timeToLive</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#a50c7f1900cf53966599cd9ad53c9b199">totalTimeToLive</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#a1c17e03466492e1983a439eb7e540e25af72cab2ce3d47d8aa4ec32797372bd81">Visual</a> enum value</td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:00
</p>
</body>
</html>
